Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi
Class UnexpectedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.rmi.RemoteException
                              |
                              +--java.rmi.UnexpectedException

All Implemented Interfaces:
  Serializable

public class UnexpectedException
extends RemoteException

An `UnexpectedException` is thrown if the client of a remote method call receives, as a result of the call, a checked exception that is not among the checked exception types declared in the `throws` clause of the method in the remote interface.

Since:
  JDK1.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`UnexpectedException(String s)` Constructs an `UnexpectedException` with the specified detail message.
`UnexpectedException(String s, Exception ex)` Constructs a `UnexpectedException` with the specified detail message and nested exception.

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnexpectedException

    public UnexpectedException(String s)

  Constructs an `UnexpectedException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  JDK1.1

### UnexpectedException

    public UnexpectedException(String s,
                               Exception ex)

  Constructs a `UnexpectedException` with the specified detail message and nested exception.

Parameters:
  `s` - the detail message
  `ex` - the nested exception
Since:
  JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.